Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface EJBComponentMBean

public interface EJBComponentMBean
extends ComponentMBean

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`weblogic.management.runtime.EJBComponentRuntimeMBean` | `getEJBComponentRuntime(ServerMBean server)` Return an MBean representing the runtime state of this EJB on a given server.
`java.lang.String` | `getExtraRmicOptions()` Return the extra options passed to rmic during server-side generation.
`java.lang.String` | `getJavaCompiler()` Return the path to the Java compiler to use to compile EJB's (e.g.
`java.lang.String` | `getJavaCompilerPostClassPath()` Return the options to append to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJavaCompilerPreClassPath()` Return the options to prepend to the Java compiler classpath for when we need to compile Java code.
`boolean` | `getKeepGenerated()` Return true if ejbc should keep its generated source files, false if it should delete them after compiling them.
`java.lang.String` | `getTmpPath()` Return the temporary directory where generated files are stored by ejbc.
`void` | `setExtraRmicOptions(java.lang.String options)`
`void` | `setJavaCompiler(java.lang.String javaCompiler)`
`void` | `setJavaCompilerPostClassPath(java.lang.String postClassPath)`
`void` | `setJavaCompilerPreClassPath(java.lang.String preClassPath)`
`void` | `setKeepGenerated(boolean f)`
`void` | `setTmpPath(java.lang.String path)`

Methods inherited from interface weblogic.management.configuration.ComponentMBean
`getApplication, getURI, setApplication`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getJavaCompiler

    public java.lang.String getJavaCompiler()

  Return the path to the Java compiler to use to compile EJB's (e.g. "sj" or "javac"). Note: the default for this attribute must be null. If no JavaCompiler is specified on the EJBComponent, the default will be pulled from Server.JavaCompiler.

  Default Value: null

### setJavaCompiler

    public void setJavaCompiler(java.lang.String javaCompiler)
                         throws javax.management.InvalidAttributeValueException

### getJavaCompilerPreClassPath

    public java.lang.String getJavaCompilerPreClassPath()

  Return the options to prepend to the Java compiler classpath for when we need to compile Java code.

  Default Value: null

### setJavaCompilerPreClassPath

    public void setJavaCompilerPreClassPath(java.lang.String preClassPath)
                                     throws javax.management.InvalidAttributeValueException

### getJavaCompilerPostClassPath

    public java.lang.String getJavaCompilerPostClassPath()

  Return the options to append to the Java compiler classpath for when we need to compile Java code.

  Default Value: null

### setJavaCompilerPostClassPath

    public void setJavaCompilerPostClassPath(java.lang.String postClassPath)

### getExtraRmicOptions

    public java.lang.String getExtraRmicOptions()

  Return the extra options passed to rmic during server-side generation. Note: the default for this attribute must be null. If no ExtraRmicOptions are specified on the EJBComponent, the default will be pulled from Server.ExtraRmicOptions..

  Default Value: null

### setExtraRmicOptions

    public void setExtraRmicOptions(java.lang.String options)
                             throws javax.management.InvalidAttributeValueException

### getKeepGenerated

    public boolean getKeepGenerated()

  Return true if ejbc should keep its generated source files, false if it should delete them after compiling them.

  Default Value: true

### setKeepGenerated

    public void setKeepGenerated(boolean f)

### getTmpPath

    public java.lang.String getTmpPath()

  Return the temporary directory where generated files are stored by ejbc.

  Default Value: "tmp_ejb"

### setTmpPath

    public void setTmpPath(java.lang.String path)

### getEJBComponentRuntime

    public weblogic.management.runtime.EJBComponentRuntimeMBean getEJBComponentRuntime(ServerMBean server)

  Return an MBean representing the runtime state of this EJB on a given server. Return null if the given server is not running or if this EJBComponent is not deployed on the given server.

  A non-configurable MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD